## NAME

db.columns - List all columns for a given table.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.columns
db.columns --help
db.columns table=name [driver=name] [database=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

table=name [required]
  Name of attribute table
driver=name
  Name of database driver
  Options: dbf, odbc, ogr, pg, sqlite
  Default: sqlite
database=name
  Name of database
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db

## DESCRIPTION

db.columns lists all columns for a give table. Connection to databases are supported through dbf, shp, odbc and pg drivers.

## NOTE

If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

## EXAMPLES

### List columns of a PostgreSQL attribute table

    db.columns table=zipcodes_wake driver=pg database=grassdb

If the database parameters are already set, the columns can be listed directly

    db.columns table=zipcodes_wake

### List columns from Shape file with DBF attribute table

    db.columns table=zipcodes_wake driver=dbf database=/grassdata/nc_spm_08/PERMANENT/dbf/

### List columns of table in SQLite database

Note that the SQLite backend is the default setting.

    db.columns driver=sqlite table=archsites database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db'

## SEE ALSO

db.connect, db.describe, db.drivers, db.droptable, db.execute, db.login, db.tables, GRASS SQL interface

GRASS SQL interface

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

## SOURCE CODE

Available at: db.columns source code (history)

Accessed: Friday Jul 14 12:56:28 2023

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0 Reference Manual